%define         cvsdate 20100413
Name:           nazghul
Version:        0.7.0
Release:        2.%{cvsdate}cvs%{?dist}
Summary:        A computer role-playing game (CRPG) engine

License:        GPLv2+
URL:            http://myweb.cableone.net/gmcnutt/nazghul.html
Group:          Amusements/Games

# Occasionally upstream names things with an underscore.
%define         version_us %(echo %{version} | sed -e 's/\\./_/g')

#Source0:        http://dl.sourceforge.net/nazghul/nazghul-%{version}.tar.gz

# Construct cvs checkout tarball with:
#  ./nazghul-make-snapshot %{cvsdate}
Source0:        nazghul-%{cvsdate}.txz
Source1:        haxima-music-license
Patch0:         nazghul-desktop.patch

# For building from a CVS snapshot
BuildRequires:  automake, autoconf
BuildRequires:  SDL_image-devel, SDL_mixer-devel, desktop-file-utils, libpng-devel

%description
Nazghul is an old-school RPG engine modeled after those made in the
heyday of top-down, 2d tile-based graphics. It is specifically modeled
after Ultima V.


%package -n haxima
Summary:        A full-featured role-playing game for the Nazghul engine
# The music files installed in /usr/share/nazghul/haxima/music have been
# relicensed as CC-BY-SA (specifically version 2).   See the
# haxima-music-license file for details. The rest of the package is GPLv2+.
License:        GPLv2+ and CC-BY-SA
Group:          Amusements/Games
Requires:       nazghul = %{version}
Provides:       nazghul-haxima = %{version}-%{release}
Obsoletes:      nazghul-haxima < 0.6.0-8

%description -n haxima
A complete, playable and full-featured role playing game which runs
under the Nazghul CRPG engine.

You must install Nazghul in order to play Haxima.


%prep
%setup -q -n %{name}
%patch0 -b .orig

# clean up CVS directories left in the source tarball
find . -depth -type d -name CVS -exec rm -rf {} \;

# Fix line endings
sed -i -e 's/\r//' doc/engine_extension_and_design/my_TODO.2004.05.05.txt

mv doc/* .

cp %SOURCE1 .


%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

mv %{buildroot}/%{_bindir}/haxima.sh %{buildroot}/%{_bindir}/haxima

desktop-file-install --vendor fedora            \
    --dir %{buildroot}/%{_datadir}/applications \
    --add-category X-Fedora                     \
    haxima.desktop

install -D -m 644 icons/haxima.png %{buildroot}/%{_datadir}/pixmaps/haxima.png


# It seems that the music gets left out by "make install"
#pushd %{_builddir}/%{name}/worlds/haxima-1.002
#cp -rp music %{buildroot}/%{_datadir}/nazghul/haxima
#popd


%files
%defattr(-,root,root,-)
%{_bindir}/nazghul
%dir %{_datadir}/nazghul
%doc AUTHORS ChangeLog COPYING INSTALL NEWS GAME_RULES GHULSCRIPT
%doc MAP_HACKERS_GUIDE engine_extension_and_design world_building


%files -n haxima
%defattr(-,root,root,-)
%{_bindir}/haxima
%{_datadir}/nazghul/haxima
%{_datadir}/applications/fedora-haxima.desktop
%{_datadir}/pixmaps/haxima.png
%doc USERS_GUIDE haxima-music-license


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2.20100413cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 17 2010 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.7.0-1.20100413cvs
- Update to post-0.7.0 release.
- Remove %%clean section; no longer required in Fedora.
- The music is now freely licensed!  Install the license file properly and
  document the change.

* Tue Sep 29 2009 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.7.0-0.4.20090928cvs
- Pull latest fixes.

* Tue Sep 22 2009 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.7.0-0.3.20090918cvs
- Modernize the spec a bit; nuke BuildRoot:, no more RPM_BUILD_ROOT.

* Fri Sep 18 2009 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.7.0-0.2.20090918cvs
- New CVS snapshot; hopefully fix x86_64 startup crash and music issues.

* Thu Sep 10 2009 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.7.0-0.1.20090910cvs
- Initial attempt to rebase to current CVS.
- Update to use xz for compression of snapshot tarballs.
- Rename "nazghul-haxima" package to "haxima", according to upstream wishes and
  common sense.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-7.20080407cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.6.0-6.20080407cvs
- Tweak desktop file with proper categories (bug 485358) and fixes for other
  desktop-file-install complaints.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5.20080407cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Apr 07 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.6.0-4.20080407cvs
- Bump to latest CVS snapshot.

* Thu Mar 13 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.6.0-3.20080312cvs
- Bump to current CVS version at upstream request.
- Add CVS snapshot generation instructions.
- Install the music which "make install" misses.

* Sun Feb 10 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.6.0-2
- Rebuild for gcc 4.3.

* Mon Nov 05 2007 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.6.0-1
- Update to 0.6.0.

* Wed Aug 22 2007 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.6-4
- Patch upstream .desktop file for proper use of Version.
- Remove some errant CVS directories.
- Fix an end-of-line encoding.
- Minor spec cleanup.

* Tue Aug 21 2007 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.6-3
- License is GPLv2+.
- Bump for rebuild.

* Tue May 29 2007 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.6-2
- Bump release.

* Thu Jan 18 2007 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.6-0.1.rc1
- Bump to 0.5.6rc1.

* Sat Dec 16 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.5-3
- Force a link against libpng since SDL_image only loads it at runtime.

* Fri Dec 15 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.5-2
- Add libpng-devel build dependency.

* Fri Dec 15 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.5-1
- Update to 0.5.5.

* Thu Aug 31 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.4-2
- Rebuild.

* Thu Jun 29 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.4-1
- Update to 0.5.4 release.

* Wed Jun 28 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-6
- Update to CVS snapshot in preparation for the new release.

* Thu Jun  8 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-5
- Add fix for crash when attacking diagonally in the wilderness.

* Tue Feb 14 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-4
- More 64bit fixes.
- Package additional documentation.

* Mon Feb 13 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-3
- Add some 64-bit cleanliness fixes.

* Tue Feb  7 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-2
- Incorporate some review suggestions
- Patch bug with generation of haxima.sh.

* Sun Feb  5 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-1
- Update to 0.5.3

* Sat Jan 28 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.2-1
- Initial attempt
